import type { PipeTransform } from '@angular/core';
import type { AudioParamAutomation } from '../types/audio-param-automation';
import type { AudioParamAutomationMode } from '../types/audio-param-automation-mode';
import type { AudioParamCurve } from '../types/audio-param-curve';
import * as i0 from "@angular/core";
export declare class WebAudioParamPipe implements PipeTransform {
    /**
     * Creates {@link AudioParamAutomation} to use with {@link AudioParam} inputs
     *
     * @param value target value
     * @param duration duration of the automation
     * @param mode either instant for given duration or linear/exponential ramp
     */
    transform(value: number[] | number, duration: number, mode?: AudioParamAutomationMode): AudioParamAutomation | AudioParamCurve;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebAudioParamPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<WebAudioParamPipe, "waAudioParam", true>;
}
